# machines:
#   - ip: 192.168.0.110
#     basedir: /kunlun
#     user: kunlun
#     sshport: 22
#   - ip: 192.168.0.111
#     basedir: /kunlun    
#     user: kunlun
#     sshport: 22
#   - ip: 192.168.0.100
#     basedir: /kunlun    
#     user: kunlun
#     sshport: 22
meta:
  #  ha_mode: rbr
  #  fullsync_level: 1
  #  enable_rocksdb: true
  nodes:
    - ip: 192.168.0.110
      # port: the value is auto-generated if not specified.
      # innodb_buffer_pool_size: 128MB
    - ip: 192.168.0.111
      # port: the value is auto-generated if not specified.
      # innodb_buffer_pool_size: 128MB
    - ip: 192.168.0.100
      # port: the value is auto-generated if not specified.
      # innodb_buffer_pool_size: 128MB
cluster_manager:
  nodes:
    - ip: 192.168.0.110
      # brpc_http_port: 58000
      # brpc_raft_port: 58001
      # prometheus_port_start: 59010
      # prometheus_datadir: the default value is $basedir/promedata
    - ip: 192.168.0.111
      # brpc_http_port: 58000
      # brpc_raft_port: 58001
      # prometheus_port_start: 59010
      # prometheus_datadir: the default value is $basedir/promedata
    - ip: 192.168.0.100
      # brpc_http_port: 58000
      # brpc_raft_port: 58001
      # prometheus_port_start: 59010
      # prometheus_datadir: the default value is $basedir/promedata
node_manager:
  nodes:
    - ip: 192.168.0.110
      # skip: false
      # brpc_http_port: 58002
      # tcp_port: 58003
      # storage_datadirs: the default value is $basedir/storage_datadir
      # storage_logdirs: the default value is $basedir/storage_logdir
      # storage_waldirs: the default value is $basedir/storage_waldir
      # server_datadirs: the default value is $basedir/server_datadir
      # storage_portrange: 57000-58000
      # server_portrange: 47000-48000
      # total_cpu_cores: 8
      # total_mem: 16384
      # nodetype: none
      # prometheus_port_start: 58010
      # verbose_log: false
      # prometheus_datadir: the default value is $basedir/promedata
    - ip: 192.168.0.111
      # skip: false
      # brpc_http_port: 58002
      # tcp_port: 58003
      # storage_datadirs: the default value is $basedir/storage_datadir
      # storage_logdirs: the default value is $basedir/storage_logdir
      # storage_waldirs: the default value is $basedir/storage_waldir
      # server_datadirs: the default value is $basedir/server_datadir
      # storage_portrange: 57000-58000
      # server_portrange: 47000-48000
      # total_cpu_cores: 8
      # total_mem: 16384
      # nodetype: none
      # prometheus_port_start: 58010
      # verbose_log: false
      # prometheus_datadir: the default value is $basedir/promedata
    - ip: 192.168.0.100
      # skip: false
      # brpc_http_port: 58002
      # tcp_port: 58003
      # storage_datadirs: the default value is $basedir/storage_datadir
      # storage_logdirs: the default value is $basedir/storage_logdir
      # storage_waldirs: the default value is $basedir/storage_waldir
      # server_datadirs: the default value is $basedir/server_datadir
      # storage_portrange: 57000-58000
      # server_portrange: 47000-48000
      # total_cpu_cores: 8
      # total_mem: 16384
      # nodetype: none
      # prometheus_port_start: 58010
      # verbose_log: false
      # prometheus_datadir: the default value is $basedir/promedata
xpanel:
  # imageType: url
  image: registry.cn-hangzhou.aliyuncs.com/kunlundb/kunlun-xpanel:VERSION
  nodes:
    - ip: 192.168.0.110
      # port: 18080
elasticsearch:
  ip: 192.168.0.110
  # port: 9200
  # kibana_port: 5601
  # datadir: the default value is $basedir/elasticsearch/data
